2.Django环境搭建

1.版本选择

  • Django 1.5.x 支持 Python 2.6.5 Python 2.7, Python 3.2 和 3.3.
  • Django 1.6.x 支持 Python 2.6.X, 2.7.X, 3.2.X 和 3.3.X
  • Django 1.7.x 支持 Python 2.7, 3.2, 3.3, 和 3.4 (注意:Python 2.6 不支持了)
  • Django 1.8.x 支持 Python 2.7, 3.2, 3.3, 3.4 和 3.5. (长期支持版本 LTS)
  • Django 1.9.x 支持 Python 2.7, 3.4 和 3.5. 不支持 3.3 了
  • Django 1.10.x 支持 Python 2.7, 3.4 和 3.5.
  • Django 1.11.x 支持 Python 2.7, 3.4, 3.5 和 3.6(长期支持版本 LTS) 最后一个支持 Python 2.7 的版本
  • Django 2.0.x 支持 Python 3.4, 3.5 和 3.6 (注意,不再支持 Python 2)

当前最新版本是:2.2,本教程采用这个版本

2.安装Django

2.1使用pip

pip一般是自带的,如果没有需要手动下载安装。 python 3.0以上版本使用pip3代替pip python3以上版本,python命令也要换成python3 本教程默认使用Python3.7版本,后面不再赘述。

pip install Django #等待下载完成,会安装最新版
# 选择 需要的版本  pip install Django==2.2 安装2.2版

2.2源码安装

下载地址:https://www.djangoproject.com/download/
或者使用:git clone https://github.com/django/django.git
假如下载的文件是:Django-2.2.tar.gz
Linux/Mac下安装:

tar -xvf Django-2.2.tar.gz # 解压
cd Django-2.2
python setup.py install

Windows下的安装:

使用解压软件,解压缩包,打开命令行(windows+r,然后输入cmd,回车)
cd Django-2.2
python setup.py install

3.检测是否安装成功

1.打开终端/命令行
2.输入python,进入python环境
3.输入代码

Python 3.7.2 (v3.7.2:9a3ffc0492, Dec 24 2018, 02:44:43) 
[Clang 6.0 (clang-600.0.57)] on darwin
Type "help", "copyright", "credits" or "license" for more information.
>>> import django
>>> django.VERSION
(2, 2, 0, 'final', 0)
>>> django.get_version()
'2.2.0'
>>>

如果没有报错信息,说明安装成功。

4.下一课时

3.Django基本命令

声明:原创文章,版权所有,转载请注明出处,https://litets.com。